漏洞名称: GnuTLS 安全漏洞
CNNVD编号: CNNVD-201701-263
发布时间: 2017-01-12
更新时间: 2017-03-28
危害等级: 高危  高危
漏洞类型: 资料不足
威胁类型: 远程
CVE编号: CVE-2017-5334

GnuTLS是比利时Nikos Mavrogiannopoulos和瑞典Simon Josefsson软件开发者共同研发的一个免费的用于实现SSL、TLS和DTLS协议的安全通信库。

GnuTLS 3.3.26之前的版本和3.5.8之前的3.5.x版本中的‘gnutls_x509_ext_import_proxy’函数存在双重释放漏洞。远程攻击者可借助特制X.509证书利用该漏洞绕过安全限制,执行未授权的操作。

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        https://gnutls.org/security.html#GNUTLS-SA-2017-2

   
 

Gnu Gnutls:3.5.1
Gnu Gnutls:3.5.2
Novell Leap:42.1
Gnu Gnutls:3.5.3
Gnu Gnutls:3.5.0